%define desktop_file_utils_version 0.9

Name: rhythmbox
Summary: Music Management Application 
Version: 0.10.1
Release: 7%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.gnome.org/projects/rhythmbox/
Source: ftp://ftp.gnome.org/pub/GNOME/sources/rhythmbox/0.10/%{name}-%{version}.tar.bz2
Source1: rhythmbox-iradio-initial.pls
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk2 >= 2.4.0
Requires: libgnomeui >= 2.6.0
Requires: gnome-python2 gnome-python2-gconf gnome-python2-gnomevfs
Requires: gnome-themes
Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: libgpod-devel
BuildRequires: gnome-media-devel
BuildRequires: libgnomeui-devel >= 2.6.0
BuildRequires: nautilus-cd-burner-devel >= 2.15.3
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: gettext, scrollkeeper
BuildRequires: totem-devel >= 1.1.5
BuildRequires: gnome-vfs2-devel >= 2.7.4
BuildRequires: avahi-glib-devel >= 0.6
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: dbus-devel >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: libnotify-devel
BuildRequires: gstreamer-devel
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: libsoup-devel
BuildRequires: hal-devel
BuildRequires: perl(XML::Parser)

ExcludeArch:    s390 s390x

Patch0: rhythmbox-0.10.0-xdg-user-dirs-no-autoconf.patch
Patch1: rhythmbox-first-time-load.patch
Patch2: rhythmbox-enable-stores.patch
Patch3: rhythmbox-0.10-shops-resizing.patch
Patch4: rhythmbox-0.10.1-podcasts.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=291571
Patch5: rb-disable-local-uri-escaping-5.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=357951
Patch6: rhythmbox-0.10.1-fix-metadata-trailing-space.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=372731
Patch7: rhythmbox-0.10.1-jamendo-neg-tracknum.patch

%description
Rhythmbox is an integrated music management application based on the powerful
GStreamer media framework. It has a number of features, including an easy to
use music browser, searching and sorting, comprehensive audio format support
through GStreamer, Internet Radio support, playlists and more.

%prep
%setup -q

%patch0 -p0 -b .xdg-user-dirs
cd shell/
%patch1 -p0 -b .set-first-time
cd ../data/
%patch2 -p0 -b .enable-stores
cd ../
%patch3 -p0 -b .dont-resize-stores
%patch4 -p1 -b .ipod-podcasts
%patch5 -p0 -b .uri-escaping
%patch6 -p2 -b .trailing-space
%patch7 -p0 -b .neg-tracknum

%build

# work around a gstreamer bug
/usr/bin/gst-inspect-0.10 --print-all > /dev/null

%configure \
      --with-ipod \
      --with-dbus \
      --with-mdns=avahi \
      --disable-scrollkeeper \
      --enable-tag-writing \
      --with-gnome-keyring \
      --with-metadata-helper

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}%{_libdir}/bonobo/*.{a,la}
rm -f %{buildroot}%{_libdir}/bonobo/librb-nautilus-context-menu.so
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/*.{a,la}
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/*/*.{a,la}
rm -f %{buildroot}%{_libdir}/librhythmbox-core.{a,la}

%find_lang %name

# Replace the default radios with Ogg Radios
cp -a %{SOURCE1} %{buildroot}%{_libdir}/rhythmbox/plugins/iradio/iradio-initial.pls

# Don't package api docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# install missing artwork image (Gnome BZ#387413)
install -m0644 plugins/artdisplay/rhythmbox-missing-artwork.svg \
  %{buildroot}%{_libdir}/rhythmbox/plugins/artdisplay/

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas >/dev/null
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_datadir}/rhythmbox/*
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/gnome/help/rhythmbox
%{_datadir}/omf/rhythmbox/*
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/icons/hicolor/48x48/apps/rhythmbox.png
%{_libdir}/librhythmbox-core.so*
%dir %{_libdir}/rhythmbox
%{_libdir}/rhythmbox/plugins
%{_libexecdir}/rhythmbox-metadata

%changelog
* Wed Dec 19 2007 Todd Zullinger <tmz@pobox.com> - 0.10.1-7.fc7
- rebuild for libgpod-0.6.0

* Mon Nov 12 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-6.fc7
- Add upstream patch to avoid crashing when the Jamendo catalogue feeds
  us negative track numbers (#372731)

* Tue Oct 30 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-5.fc7
- Add patch to fix problems with metadata loss when it has a space at the
  end of it (#357951)

* Mon Oct 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-4.fc7
- Update fix related to file URIs escaping (#291571)

* Thu Oct 18 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-3.fc7
- Hopefully fix indexing files with spaces in the name (#291571)

* Mon Sep 24 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-2.fc7
- Add patch from upstream to mark Podcasts as such when uploading them to
  an iPod (#302691)

* Thu Aug 23 2007 - Ray Strode <rstorde@redhat.com> - 0.10.1-1.fc7
- update to 0.10.1 at the request of Andre Klapper
  (http://mail.gnome.org/archives/distributor-list/2007-August/msg00008.html)

* Tue May 08 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-8.fc7
- Add patch to avoid the window resizing when loading the stores
  (#236972)

* Mon Apr 30 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-7.fc7
- Add missing gnome-python2-gconf and gnome-python2-gnomevfs deps
  (#238363)

* Fri Apr 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-6.fc7
- Enable the Magnatune and Jamendo stores by default (#237131)

* Wed Apr 18 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-5.fc7
- Set the first time flag on startup, otherwise the iRadio's initial
  playlist is never loaded (Gnoem BZ #431167)

* Wed Apr 11 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-4.fc7
- Provide some quality Ogg radios in the default iRadio catalogue
  (#229677)

* Wed Apr 11 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-3.fc7
- Add requires for gnome-themes, spotted by Nigel Jones (#235818)

* Wed Apr 04 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-2.fc7
- Use multiple CPUs to build, the upstream bug is fixed now

* Wed Apr 04 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0-1.fc7
- Update to the stable branch 0.10.0, fixes a large number of crashers
- Add patch for xdg-user-dirs support

* Wed Mar 28 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.8-4.fc7
- Add upstream patch for bug 234216

* Sun Mar 25 2007  Matthias Clasen <mclasen@redhat.com> - 0.9.8-3
- Fix a directory ownership issue (#233911)

* Thu Mar 15 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.8-2.fc7
- Add missing dependency on gnome-python2 for the Python gnome-vfs
 bindings (#232189)

* Wed Feb 21 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.8-1.fc7
- Update to 0.9.8, drop unneeded requirements and patches
- Change iradio default stations location
- Add new rhythmbox-core library

* Wed Jan 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.7-11.fc7
- Require automake in the BuildRequires as well, as we need to generate
  plugins/mmkeys/Makefile.in

* Wed Jan 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.7-10.fc7
- Require autoconf in the BuildRequires, as it's not in the minimum build
  environment

* Wed Jan 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.7-9.fc7
- Exclude s390* from the builds, as there's no gnome-media there

* Wed Jan 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9.7-8.fc7
- Add patch to make the multimedia keys work with the new control-center
  way of doing things (#197540)

* Mon Jan 22 2007 Alexander Larsson <alexl@redhat.com> - 0.9.7-7.fc7
- Specfile cleanups from Todd Zullinger
- Buildrequire gnome-media-devel for gnome-media-profiles.pc
- Remove explicit libgpod dep
- install missing artwork image (Gnome BZ #387413)

* Tue Jan 16 2007 Alexander Larsson <alexl@redhat.com> - 0.9.7-6.fc7
- rebuild with new libgpod

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.7-5
- Update to 0.9.7

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 0.9.6-4
- rebuild for python 2.5

* Tue Nov 21 2006 Ray Strode <rstrode@redhat.com> - 0.9.6-3
- drop keybinding patch

* Mon Nov 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.6-2
- Rebuild

* Sun Oct 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.6-1
- Update to 0.9.6

* Mon Oct 2 2006 Ray Strode <rstrode@redhat.com> - 0.9.5-6.fc6
- first unfinished, buggy crack at fixing keybindings

* Mon Sep 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.5-5
- Enable tag editing

* Wed Sep 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-4
- Fix a crash when a radio station is missing  (#206170)

* Thu Sep  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-3
- Support transparent panels (#205584)

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.5-2
- Add BR for dbus-glib-devel 
- Add patch to fix deprecated dbus function

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.5-1.1
- rebuild

* Fri Jul  7 2006 Bill Nottingham <notting@redhat.com>
- don't require eel2

* Mon Jun 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Wed Jun 14 2006 Bill Nottingham <notting@redhat.com> - 0.9.4.1-8
- apply patch from CVS to port to nautilus-cd-burner 2.15.3

* Wed Jun 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-7
- Rebuild

* Fri May 26 2006 Jeremy Katz <katzj@redhat.com> - 0.9.4.1-6
- try to fix building on s390{,x}

* Wed May 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9.4.1-5
- Patch to build with latest libnotify

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-4
- Rebuild

* Sun May 21 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-3
- Add missing BuildRequires (#129145)

* Mon Apr 25 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4.1-2
- Update to 0.9.4.1

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.9.4-2
- Update to 0.9.4
- Drop upstreamed patches

* Wed Mar 08 2006 Ray Strode <rstrode@redhat.com> - 0.9.3.1-3
- fix icon on notification bubbles (bug 183720)
- patch from CVS to escape bubble markup, found by 
  Bill Nottingham

* Fri Mar 03 2006 Ray Strode <rstrode@redhat.com> - 0.9.3.1-2
- add patch from James "Doc" Livingston to stop a hang
  for new users (bug 183883)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Christopher Aillon <caillon@redhat.com> 0.9.3.1-1
- Update to 0.9.3.1
- Use gstreamer (0.10)

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-2
- Remove hack for 173869, as its no longer needed.

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-1
- 0.9.3

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060201-1
- Newer CVS snapshot

* Sun Jan 22 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060123-1
- Update to latest CVS
- Add hack to workaround bug #173869

* Thu Jan 19 2006 Christopher Aillon <caillon@redhat.com> 0.9.2-8
- Rebuild, now that gstreamer08-plugins has been fixed

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 0.9.2-7
- bonobo multilib issue (bug 156982)

* Wed Jan 04 2006 John (J5) Palmieri <johnp@redhat.com> 0.9.2-5
- rebuild with ipod support

* Tue Jan 03 2006 Jesse Keating <jkeating@redhat.com> 0.9.2-4
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Matthias Clasen <mclasen@redhat.com>
- rebuild

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com>
- rebuild for new dbus

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.2

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.1

* Fri Sep 02 2005 Colin Walters <walters@redhat.com> 
- Add configure flags --with-bonobo --with-dbus
- BR nautilus-cd-burner-devel
- New upstream CVS snapshot for testing
- Drop IDL file and ui .xml
- Add dbus service file
- Drop upstreamed rhythmbox-bluecurve.tar.gz
- Drop upstreamed rhythmbox-0.8.8-cell-renderer.patch

* Fri Jun 13 2005 Colin Walters <walters@redhat.com> - 0.8.8-3
- Add Bluecurve-ized icons from Jeff Schroeder (157716)
- Add rhythmbox-0.8.8-cell-renderer.patch to remove use of custom
  cell renderer for playback icon (no longer necessary) and
  changes the rating renderer to work with non-b&w icons

* Mon Mar 14 2005 Colin Walters <walters@redhat.com> - 0.8.8-2
- Rebuild for GCC4

* Tue Oct 05 2004 Colin Walters <walters@redhat.com> - 0.8.8-1
- New upstream version
- Remove librb-nautilus-context-menu.so, killed upstream

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0.8.7-2
- PreReq desktop-file-utils >= 0.9

* Sat Sep 29 2004 Colin Walters <walters@redhat.com> - 0.8.7-1
- New upstream version

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-2
- Fix postun to use correct syntax, thanks Nils Philippsen

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-1
- New upstream version
- Call update-desktop-database in post and postun

* Thu Jun 24 2004 Colin Walters <walters@redhat.com> - 0.8.5-1
- New upstream version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> - 0.8.4-1
- New upstream version
- Remove backported patches
- Gratuitiously bump various BuildRequires versions

* Mon May 10 2004 Colin Walters <walters@redhat.com> - 0.8.3-4
- Remove code to unregister GConf schema for now (Closes: #122532)

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-3
- Apply tiny patch from 0.8 arch to fix GConf key used
  for initial sorting

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-2
- Apply patch from 0.8 arch tree to fix a number of memleaks

* Thu May 02 2004 Colin Walters <walters@redhat.com> - 0.8.3-1
- Update to 0.8.3: fixes showstopper bug with internet radio

* Thu Apr 30 2004 Colin Walters <walters@redhat.com> - 0.8.2-1
- Update to 0.8.2
- Fix Source url
- Add smp_mflags
- Bump BuildRequires on gstreamer to 0.8.1

* Tue Apr 23 2004 Colin Walters <walters@redhat.com> - 0.8.1-2
- Uninstall GConf schemas on removal

* Tue Apr 20 2004 Colin Walters <walters@redhat.com> - 0.8.1-1
- Update to 0.8.1

* Fri Apr 16 2004 Colin Walters <walters@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Fri Apr 02 2004 Colin Walters <walters@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-2
- Remove BuildRequires on autoconf and libvorbis-devel

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-1
- New major version - I know we are past major version slush, but
  this should have been done two weeks ago along with the GNOME 2.6
  upload.  As upstream author as well, I believe this version is
  good enough for FC2.
- Remove --disable-mp3
- Remove id3, flac variables
- Remove GStreamer major version patch
- Fix typo in description

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> - 0.6.8-2
- rebuild for new gstreamer

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 0.6.8-1
- update to 0.6.8

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar  1 2004 Alexander Larsson <alexl@redhat.com> 0.6.7-1
- update to 0.6.7

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 12 2004 Colin Walters <walters@verbum.org> 0.6.4-1
- New upstream version
- Don't re-run the autotools; upstream incorporates newer versions.
* Tue Oct 28 2003 Jonathan Blandford <jrb@redhat.com> 0.5.4-1
- new version
- remove smp_flags

* Fri Oct 24 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-5
- remove the initial iradio channels as they all are mp3 based.

* Wed Oct  8 2003 Matthias Saou <matthias@rpmforge.net> 0.5.3-3
- Fix category from Development/Libraries to Applications/Multimedia.
- Use bz2 instead of gz as ftp.gnome.org has both, 300k saved in the src.rpm.
- Fix SCHEMES vs. SCHEMAS in the post scriplet.
- Added gstreamer-plugins-devel, libvorbis-devel, scrollkeeper and gettext deps.
- Removed unnecessary date expansion define.
- Updated description, including mp3 reference removal.
- Added libid3tag and flac optional support for convenient rebuild.
- Removed obsolete omf.make and xmldocs.make (included ones are the same now).

* Mon Sep 22 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-1
- new version
- use _sysconfdir instead of /etc

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- gave up on other archs for the Beta
- new version
- remove werror and add missing files

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- update to newer cvs snap

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- update to cvs snap

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- use %%(lang)

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- fix post to actually install the schema

* Sat Jun 22 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added gconf file
- Added i18n directory

* Sat Jun 15 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Updated for new rewrite of rhythmbox, thanks to Jeroen

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
